Subject: Re: bug#5971: 23.1.95; `delete' modifies default value instead of buffer-local value

From: Stefan Monnier <[email-masked]>
Date: Mon, 19 Apr 2010 02:25:02 -0400

>> > This doesn't seem right to me.
>> Why not?  That's the whole reason for the existence of two functions:
>> `delete' and `remove'.
> I'm aware that `delete' modifies the list structure and `remove' uses
> a copy.  What I don't understand is the interaction with a default
> value instead of a buffer-local value.  Why would `delete' cause the
> behavior described?

Why not?

        Stefan

PS: Closing this.  You can continue the discussion on gnu.emacs.help
(or even comp.lang.lisp, tho I never read that one and they're probably
not that familiar with buffer-local variables).